Служба поддержки Документация наверх 0 на 0 р. корзина пуста

Товар успешно добавлен в корзину

Оформить заказ
г. Краснодар
+7 (861) 248-83-80
для звонков из России
8-800-775-83-80
Логотип лаборатории IT-решений ReadyScript(ready script реди скрипт, рэди скрипт, редискрипт )

В мае 2019 повышаем минимальную версию PHP для ReadyScript до 7.0

Уважаемые пользователи и партнеры, важное объявление!

С 14 мая мы повышаем минимальную версию PHP, необходимую для работы ReadyScript, до 7.0. Мы приняли это решение, так как PHP 5.x более не поддерживаются даже в части исправлений уязвимостей. PHP 5.x работает значительно медленнее, чем PHP 7, не поддерживает многих удобных конструкций в коде. Все хостинги на сегодняшний день уже поддерживают PHP 7, поэтому более нет смысла держаться за устаревшую версию PHP.

php_support

График поддержки версий PHP

Для разработчиков увеличение минимальной версии PHP повлечет за собой – возможность использования современных библиотек в своих модулях, размещаемых в маркетплейсе и не только.

Что будет после 14 мая?

Если вы используете PHP версии менее 7.0, скрипт по прежнему продолжит свою работу, однако установить обновление уже будет невозможно, будет отображаться соответствующее уведомление в административной панели. Как только версия PHP на сервере будет увеличена до приемлемой, установка обновлений вновь станет доступной.

Что нужно сделать, чтобы обновить версию PHP?

Если вы пользуетесь обычным виртуальным(shared) хостингом, то необходимо переключить версию PHP в панели управления вашего хостинга на версию 7.0 - 7.3. Напомним, что ReadyScript уже сейчас корректно работает с PHP 7.x, поэтому версию PHP можно переключить недожидаясь 14 мая, уже сейчас.

Ввиду того, что большинство хостингов имеет собственную панель управления, за более подробной инструкцией о переключении версии PHP, необходимо обратиться в поддержку вашего хостинга.

Если вы пользуетесь VPS, то необходимо обратиться к вашему системному администратору для переключения или установки новой версии PHP на сервере.

Возможные проблемы

Отсутствие модуля Mcrypt

Подсистема лицензирования ReadyScript приоритетно использует модуль mcrypt для хранения информации о состоянии лицензии. Ввиду того, что после перехода на PHP 7.x модуль mcrypt может быть не установлен, лицензия сразу станет неактивной, так как система более не сможет расшифровать сведения по ней. В клиентской части сайта может появиться сообщение "Тестовый период завершен...".

Для решения данной ситуации достаточно перейти в административную панель (она доступна всегда), удалить и добавить заново вашу основную лицензию на продукт или нажать на кнопку "Обновить" напротив лицензии. При повторном добавлении(обновлении) лицензии ваш сервер сообщит нашему, что mcypt у вас не установлен и сведения по лицензии следует зашифровать с помощью OpenSSL, в этом случае модуль mcrypt будет не нужен.

26 февраля 2019 21:38, Артем Полторанин Рассказать друзьям: